net.minecraft.client.resources

## Class FolderResourcePack

- java.lang.Object
- - net.minecraft.client.resources.AbstractResourcePack
  - - net.minecraft.client.resources.FolderResourcePack

- All Implemented Interfaces:
    IResourcePack
  Direct Known Subclasses:
    FMLFolderResourcePack

      public class FolderResourcePack
      extends AbstractResourcePack

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.resources.AbstractResourcePack

      `resourcePackFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FolderResourcePack(java.io.File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.io.InputStream` | `getInputStreamByName(java.lang.String par1Str)`
    `java.util.Set` | `getResourceDomains()`
    `protected boolean` | `hasResourceName(java.lang.String par1Str)`

    - ### Methods inherited from class net.minecraft.client.resources.AbstractResourcePack

      `getInputStream, getPackImage, getPackMetadata, getPackName, getRelativeName, logNameNotLowercase, resourceExists`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FolderResourcePack

          public FolderResourcePack(java.io.File par1File)

  - ### Method Detail

    - #### getInputStreamByName

          protected java.io.InputStream getInputStreamByName(java.lang.String par1Str)
                                                      throws java.io.IOException

      Specified by:
        `getInputStreamByName` in class `AbstractResourcePack`
      Throws:
        `java.io.IOException`

    - #### hasResourceName

          protected boolean hasResourceName(java.lang.String par1Str)

      Specified by:
        `hasResourceName` in class `AbstractResourcePack`

    - #### getResourceDomains

          public java.util.Set getResourceDomains()